Bug 174566 - RFE: generalise text browser requirement
RFE: generalise text browser requirement
Product: Fedora
Classification: Fedora
Component: docbook-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-11-30 03:19 EST by SEKINE Tatsuo
Modified: 2016-07-01 13:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-12 06:18:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description SEKINE Tatsuo 2005-11-30 03:19:00 EST
Description of problem:

docbook-utils package requires elinks package for the backend processor to dump
HTML into plain text internally. Inspite of its default requirement, other text
browsers(w3m or lynx) are also available by the script:

In the case of xmlto package, it needs w3m package for the same purpose. It
means different packages are required for the same functionality. It is more
than enough.

My suggestion is that each text browsing package provides its functionality such
as "Provides: text-www-browser", then both docbook-utils and xmlto can specify
"Requires: text-www-browser".

Version-Release number of selected component (if applicable):


Additional info:

xmlto, w3m, elinks and lynx packages are involved in this RFE.
Comment 1 Parag Nemade 2007-10-11 00:53:21 EDT
Regarding w3m package,
 w3m already Provides : webclient, But at same time I saw that many other
packages also provides it. 
repoquery --whatprovides webclient

Do you see any problem in adding Requires: w3m in docbook-utils.spec?
Comment 2 Parag Nemade 2007-10-11 01:33:37 EDT
Better I suggest do similar things as done in xmlto.spec in devel branch
# We need w3m or elinks or lynx for text output.  Let's go for w3m,
# since this one is preferred upstream.
Requires: w3m

Comment 3 Ondrej Vasik 2007-10-11 04:35:13 EDT
Provides: webclient is not useful in this case - I need special provide for TEXT
web clients - it means w3m, elinks(links) and lynx. Current situation is that if
you are using lynx as text-www-browser(as I'm using to be honest) and you want
xmlto and docbook-utils package, yum will install elinks for docbook-utils and
w3m for xmlto - and this is wasting of space. If there will be Provides:
Text-www-browser in spec of all of text-www-clients, I could use in xmlto and
docbook-utils that Requires: text-www-browser and it yum in this case will keep
lynx and will not install anything else. This is the point. Current situation is
a bit silly.
Comment 4 Parag Nemade 2007-10-11 04:53:42 EDT
ok. Will add following line to w3m.spec
Provides: text-www-browser

But I saw you are maintainer of elinks and still its missing same required
Provides. I guess you want all packages to be updated with that Provides.

Also, Do I need to remove Provides: webclient or I should keep it in w3m.spec?
Comment 5 Ondrej Vasik 2007-10-11 05:55:51 EDT
Thanks. I will update my packages and will inform lynx maintainer about that
change. Keep Provides: webclient - this is generic webclient provide - no matter
if graphical or not ... so it should be kept. This text-www-browser provide
should be only additional...
Comment 6 Parag Nemade 2007-10-11 06:39:25 EDT
Thanks. will update w3m by tomorrow.
Comment 7 Parag Nemade 2007-10-12 01:58:03 EDT
  I have built w3m-0.5.2-5.fc8 successfully now that Provides: text-www-browser
Comment 8 Patrice Dumas 2007-10-12 02:57:09 EDT
Please document on

Comment 9 Ondrej Vasik 2007-10-12 06:18:52 EDT
built elinks-0.11.3-6.fc8

Lynx maintainer is informed about that, she will build new lynx package soon.
Hopefully everything done, so closing RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.